## Index

### Classes

- BaseAPI
- BlobApiResponse
- Configuration
- JSONApiResponse
- RequiredError
- TextApiResponse
- VoidApiResponse

### Interfaces

- ApiResponse
- ConfigurationParameters
- Consume
- FetchParams
- Middleware
- RequestContext
- RequestOpts
- ResponseContext
- ResponseTransformer

### Type aliases

- FetchAPI
- HTTPBody
- HTTPHeaders
- HTTPMethod
- HTTPQuery
- Json
- ModelPropertyNaming

### Variables

- BASE_PATH
- COLLECTION_FORMATS

### Functions

- canConsumeForm
- exists
- mapValues
- querystring

## Type aliases

### FetchAPI

FetchAPI: WindowOrWorkerGlobalScope["fetch"]

- Defined in src/generated/runtime.ts:129

### HTTPBody

HTTPBody: Json | FormData | URLSearchParams

- Defined in src/generated/runtime.ts:200

### HTTPHeaders

HTTPHeaders: {}

- Defined in src/generated/runtime.ts:198

#### Type declaration

- ##### [key: string]: string

### HTTPMethod

HTTPMethod: "GET" | "POST" | "PUT" | "PATCH" | "DELETE" | "OPTIONS" | "HEAD"

- Defined in src/generated/runtime.ts:197

### HTTPQuery

HTTPQuery: {}

- Defined in src/generated/runtime.ts:199

#### Type declaration

- ##### [key: string]: string | number | null | boolean | (string | number | null | boolean)[] | HTTPQuery

### Json

Json: any

- Defined in src/generated/runtime.ts:196

### ModelPropertyNaming

ModelPropertyNaming: "camelCase" | "snake_case" | "PascalCase" | "original"

- Defined in src/generated/runtime.ts:201

## Variables

### Const BASE_PATH

BASE_PATH: string = ...

- Defined in src/generated/runtime.ts:16

Stacks 2.0 Blockchain API This is the documentation for the Stacks 2.0 Blockchain API. It is comprised of two parts; the Stacks Blockchain API and the Stacks Core API. <a href="collection.json" download="collection.json">Download Postman collection

The version of the OpenAPI document: STACKS_API_VERSION

NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech). https://openapi-generator.tech Do not edit the class manually.

### Const COLLECTION_FORMATS

COLLECTION_FORMATS: { csv: string; pipes: string; ssv: string; tsv: string } = ...

- Defined in src/generated/runtime.ts:122

#### Type declaration

- ##### csv: string

- ##### pipes: string

- ##### ssv: string

- ##### tsv: string

## Functions

### canConsumeForm

- canConsumeForm(consumes: Consume []): boolean

- - Defined in src/generated/runtime.ts:250

  #### Parameters

  - ##### consumes: Consume []

  #### Returns boolean

### exists

- exists(json: any, key: string): boolean

- - Defined in src/generated/runtime.ts:216

  #### Parameters

  - ##### json: any

  - ##### key: string

  #### Returns boolean

### mapValues

- mapValues(data: any, fn: (item: any) => any): {}

- - Defined in src/generated/runtime.ts:243

  #### Parameters

  - ##### data: any

  - ##### fn: (item: any) => any

    - - (item: any): any

      - #### Parameters

        - ##### item: any

        #### Returns any

  #### Returns {}

### querystring

- querystring(params: HTTPQuery, prefix?: string): string

- - Defined in src/generated/runtime.ts:221

  #### Parameters

  - ##### params: HTTPQuery

  - ##### prefix: string = ''

  #### Returns string

Generated using TypeDoc